<?php
/**
 * The site header
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package blogbaster
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php
	if ( function_exists( 'wp_body_open' ) ) {
		wp_body_open();
	}
	?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'blogbaster' ); ?></a>

	<div class="site-header-wrap"<?php blogbaster_header_image(); ?>>
		<div id="site-branding" class="site-branding text-center pt-4 pb-4">
		    	<?php the_custom_logo(); ?>
		    	<?php if( get_theme_mod('site_title_hide') == 'on' || ! get_theme_mod('site_title_hide') ){ ?>
					<span class="site-title h3 font-weight-bold"><?php bloginfo( 'name' ); ?></span>
		    	<?php } ?>			
				<span class="site-description font-italic"><?php bloginfo( 'description' ); ?></span>
		</div><!-- .site-branding -->
	</div>


		<?php
			// Main Menu
			get_template_part( 'template-parts/navigation/centered-navbar' );
			// Search modal
		    if( get_theme_mod('show_search_menu_item') == true ) {
				get_template_part( 'template-parts/navigation/modal', 'search-form' );
		    }
			// Jumbotron Hero if is Frontpage
			if( is_front_page() && ! is_home() ){
				get_template_part('template-parts/jumbotron');
			}
			// Jumbotron Hero if is Posts Page
			if( is_home() ){
				get_template_part('template-parts/jumbotron', 'posts-page');
			}
			// Jumbotron Hero if is Singular
			if( ( is_single() || is_page() ) && ! is_front_page() ){
				get_template_part('template-parts/jumbotron', 'singular');
			}		
			?>			

	<div id="content" class="site-content<?php if( ! is_front_page() ) { ?> pt-4<?php } ?>">