<?php
/**
 * BigWigs Starter Content
 * 
 * Based on Twenty Twenty theme starter content
 * @link https://make.wordpress.org/core/2016/11/30/starter-content-for-themes-in-4-7/
 * 
 */

/**
 * Function to return the array of starter content for the theme.
 *
 * Passes it through the `blogbaster_starter_content` filter before returning.
 *
 * @return array a filtered array of args for the starter_content.
 */
function blogbaster_get_starter_content() {

	// Define and register starter content to showcase the theme on new sites.
	$starter_content = array(
		// Specify the core-defined pages
		'posts'       => array(
			'front' => array(
				'post_type'    => 'page',
				'post_title'   => __( 'Front', 'blogbaster' ),
				'post_content' => 
					'<!-- wp:cover {"url":"https://s.w.org/images/core/5.8/forest.jpg","dimRatio":60,"minHeight":800,"align":"full"} -->
					<div class="wp-block-cover alignfull has-background-dim-60 has-background-dim" style="min-height:800px"><img class="wp-block-cover__image-background" alt="" src="https://s.w.org/images/core/5.8/forest.jpg" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:heading {"align":"wide","style":{"color":{"text":"#ffe074"},"typography":{"fontSize":"64px"}}} -->
					<h2 class="alignwide has-text-color" style="color:#ffe074;font-size:64px">Welcome to Blogbaster.</h2>
					<!-- /wp:heading -->

					<!-- wp:columns {"align":"wide"} -->
					<div class="wp-block-columns alignwide"><!-- wp:column {"width":"55%"} -->
					<div class="wp-block-column" style="flex-basis:55%"><!-- wp:spacer {"height":330} -->
					<div style="height:330px" aria-hidden="true" class="wp-block-spacer"></div>
					<!-- /wp:spacer -->

					<!-- wp:paragraph {"style":{"color":{"text":"#ffe074"},"typography":{"lineHeight":"1.3","fontSize":"12px"}}} -->
					<p class="has-text-color" style="color:#ffe074;font-size:12px;line-height:1.3"><em>Example of a Frontpage built via a blocks</em></p>
					<!-- /wp:paragraph --></div>
					<!-- /wp:column -->
					<!-- wp:column -->
					<div class="wp-block-column"></div>
					<!-- /wp:column --></div>
					<!-- /wp:columns --></div></div>
					<!-- /wp:cover -->

					<!-- wp:spacer -->
					<div style="height:100px" aria-hidden="true" class="wp-block-spacer"></div>
					<!-- /wp:spacer -->

					<!-- wp:heading {"level":3} -->
					<h3>Recent Posts</h3>
					<!-- /wp:heading -->

					<!-- wp:query {"queryId":65,"query":{"perPage":6,"pages":0,"offset":0,"postType":"post","categoryIds":[],"tagIds":[],"order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"exclude","inherit":false},"displayLayout":{"type":"flex","columns":3}} -->
					<div class="wp-block-query"><!-- wp:post-template -->
					<!-- wp:group {"className":"card"} -->
					<div class="wp-block-group card"><!-- wp:post-featured-image {"isLink":true,"align":"wide"} /-->

					<!-- wp:group {"className":"card-body"} -->
					<div class="wp-block-group card-body"><!-- wp:post-title {"isLink":true} /-->

					<!-- wp:post-excerpt /--></div>
					<!-- /wp:group -->

					<!-- wp:group {"className":"card-footer"} -->
					<div class="wp-block-group card-footer"><!-- wp:post-date /--></div>
					<!-- /wp:group --></div>
					<!-- /wp:group -->
					<!-- /wp:post-template --></div>
					<!-- /wp:query -->

					<!-- wp:spacer -->
					<div style="height:100px" aria-hidden="true" class="wp-block-spacer"></div>
					<!-- /wp:spacer -->

					<!-- wp:columns -->
					<div class="wp-block-columns"><!-- wp:column -->
					<div class="wp-block-column"><!-- wp:cover {"url":"https://s.w.org/images/core/5.8/nature-above-01.jpg"} -->
					<div class="wp-block-cover has-background-dim"><img class="wp-block-cover__image-background" alt="" src="https://s.w.org/images/core/5.8/nature-above-01.jpg" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:heading {"textAlign":"center","level":3} -->
					<h3 class="has-text-align-center">Heading</h3>
					<!-- /wp:heading --></div></div>
					<!-- /wp:cover --></div>
					<!-- /wp:column -->

					<!-- wp:column -->
					<div class="wp-block-column"><!-- wp:cover {"url":"https://s.w.org/images/core/5.8/nature-above-01.jpg"} -->
					<div class="wp-block-cover has-background-dim"><img class="wp-block-cover__image-background" alt="" src="https://s.w.org/images/core/5.8/nature-above-01.jpg" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:heading {"textAlign":"center","level":3} -->
					<h3 class="has-text-align-center">Heading</h3>
					<!-- /wp:heading --></div></div>
					<!-- /wp:cover --></div>
					<!-- /wp:column -->

					<!-- wp:column -->
					<div class="wp-block-column"><!-- wp:cover {"url":"https://s.w.org/images/core/5.8/nature-above-01.jpg"} -->
					<div class="wp-block-cover has-background-dim"><img class="wp-block-cover__image-background" alt="" src="https://s.w.org/images/core/5.8/nature-above-01.jpg" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:heading {"textAlign":"center","level":3} -->
					<h3 class="has-text-align-center">Heading</h3>
					<!-- /wp:heading --></div></div>
					<!-- /wp:cover --></div>
					<!-- /wp:column --></div>
					<!-- /wp:columns -->'
			),
			'about'=> array(
				'post_type'    => 'page',
				'post_title'   => __( 'About', 'blogbaster' ),
				'post_content' => __( 'Blogbaster is a blogging theme that allows your reader to focus on your content. Blogbaster theme is designed for news agencies, travel blogs, business magazine, food recipes and all type of publishing or review site. Blogbaster theme is a compatible with Block Editor and WooCommerce plugin and also includes a featured post (pictured in the screenshot), custom logo support, footer widget area, sidebar position (left, right or w/o) setting, a search overlay modal, a social menu with icons.', 'blogbaster' ),
			),
			'blog'=> array(
				'post_type'    => 'page',
				'post_title'   => __( 'Blog Page', 'blogbaster' )
			),
		),

		// Default to a static front page and assign the front and posts pages.
		'options'     => array(
			'show_on_front'  => 'page', // 'blog'
			'page_on_front'  => '{{front}}',
			'page_for_posts' => '{{blog}}',
		),

		// Set the Header Banner section theme mods
		'theme_mods'  => array(
			'blog_layout' => 'grid',
			'single_header_display' => 'alt',
			'sidebar_position' => 'none'
		),

		// Set up nav menu and assign to the "primary" location.
		'nav_menus'   => array(
			'primary'  => array(
				'name'  => __( 'Primary', 'blogbaster' ),
				'items' => array(
					'link_home',
					'page_about',
					'page_blog'
				),
			)
		),
	);

	/**
	 * Filters theme array of starter content.
	 *
	 * @param array $starter_content Array of starter content.
	 */
	return apply_filters( 'blogbaster_starter_content', $starter_content );

}
