<?php
/**
 * This file is used to markup the "Getting Started" section on the dashboard page.
 *
 * @package blogbaster
 */
// Links that are used on this page.
$getting_started_links = array(
	'coblocks'            => 'https://wordpress.org/plugins/coblocks/',
    'flex-posts'          => 'https://wordpress.org/plugins/flex-posts/',
    'atomic-blocks'       => 'https://wordpress.org/plugins/atomic-blocks/'
);
?>

<div class="tab-section">
    <h3 class="section-title"><?php esc_html_e( 'Theme Options', 'blogbaster' ); ?></h3>

    <p><?php esc_html_e( 'You can use of the Customizer to provide you with the theme options. Press the button below to open the Customizer and start making changes.', 'blogbaster' ); ?></p>

    <p><a href="<?php echo wp_customize_url(); // WPCS: XSS OK. ?>" class="button" target="_blank"><?php esc_html_e( 'Customize Theme', 'blogbaster' ); ?></a></p>
</div><!-- .tab-section -->

<div class="tab-section">
    <h3 class="section-title"><?php esc_html_e( 'Recommended Plugins', 'blogbaster' ); ?></h3>
    <p>
    <?php
        printf( '<a href="%1$s" target="_blank">%2$s</a>. CoBlocks is a suite of professional page building content blocks for the WordPress Gutenberg block editor. Our blocks are hyper-focused on empowering makers to build beautifully rich pages in WordPress. ', esc_url( $getting_started_links['coblocks'] ), esc_html__( 'CoBlocks', 'blogbaster' ) );
        printf( '<a href="%1$s" target="_blank">%2$s</a>. A beautiful collection of handy Gutenberg blocks to help you get started with the new WordPress editor. ', esc_url( $getting_started_links['atomic-blocks'] ), esc_html__( 'Atomic Blocks', 'blogbaster' ) );
        printf( '<a href="%1$s" target="_blank">%2$s</a>. A widget to display posts with thumbnails in various layouts for any widget area.', esc_url( $getting_started_links['flex-posts'] ), esc_html__( 'Flex Posts - Widget and Gutenberg Block', 'blogbaster' ) );
    ?>
    </p>
</div><!-- .tab-section -->
