<?php
/**
 * Template part for displaying posts preview on the Posts page
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package blogbaster
 */

?>

<article id="post-<?php the_ID(); ?>" class="grid-item card bg-dark text-white h-50 featured-post">

	<span class="sticky-badge"></span>

	<?php
		/**
		 * Post thumbnail display
		 * https://developer.wordpress.org/reference/functions/the_post_thumbnail/
		 *
		 */
		the_post_thumbnail( 
			'blogbaster-thumb-750-500', 
			array( 'class' => 'card-img-top img-fluid' ) 
		);
		?>
	
	<div class="card-img-overlay text-white">
		<?php 
			the_title( 
				sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', 
					esc_url( get_permalink() ) ), 
				'</a></h2>' 
			);
			?>

		<div class="entry-meta">
			<?php blogbaster_post_meta(); ?>
		</div>
<?php if( ! has_post_thumbnail() ){ ?>
		<div class="entry-summary card-text">
			<?php the_excerpt(); ?>
		</div>
<?php } ?>
    </div>
	
</article><!-- #post-<?php the_ID(); ?> -->