<?php
/**
 * Template part for displaying posts preview on the Posts page
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package blogbaster
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<span class="sticky-badge"></span>

	<?php
		/**
		 * Post thumbnail display
		 * https://developer.wordpress.org/reference/functions/the_post_thumbnail/
		 *
		 */
		the_post_thumbnail( 
			'blogbaster-thumb-750-500', 
			array( 'class' => 'card-img-top img-fluid' ) 
		);
		?>
	
	<div class="card-body">
		<div class="entry-category mb-3">
			<?php blogbaster_post_category(); ?>
		</div>
		<?php 
			the_title( 
				sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', 
					esc_url( get_permalink() ) ), 
				'</a></h2>' 
			);
			?>

		<div class="entry-meta">
			<?php //blogbaster_post_meta(); ?>
			<a href="<?php comments_link(); ?>">
				<?php comments_number(esc_html__('No Comments','blogbaster'), esc_html__('One Comment','blogbaster'), esc_html__('% Comments','blogbaster') );?>
			</a>
			<?php //comments_popup_link( esc_html__( 'No comments', 'blogbaster' ), esc_html__( 'One comment', 'blogbaster' ), esc_html__( '% comments', 'blogbaster' ), '', esc_html__( 'Comments are Disabled', 'blogbaster' ) ); ?>

		</div>

		<div class="entry-summary card-text">
			<?php the_excerpt(); ?>
		</div>

			<?php
			/*
				if ( '' != get_theme_mod( 'more_link' ) ) {
					echo sprintf( '<a class="btn btn-secondary mt-4" href="%s">', esc_url( get_permalink() ) ), esc_html( get_theme_mod( 'more_link' ) ) .'</a>';
				}
			*/
				?>
    </div>

<?php if ( 1 != get_theme_mod( 'hide_posted_by' ) || 1 != get_theme_mod( 'hide_posted_by' ) || '' != get_theme_mod( 'more_link' ) ) { ?>
	<div class="card-footer background-white d-flex">
		<div class="media align-items-center flex-grow-1">
			<?php
				if ( 1 != get_theme_mod( 'hide_posted_by' ) ) {
					echo get_avatar( get_the_author_meta( 'ID' ) , 50, 'mystery', get_the_author_meta( 'display_name' ), array('class'=>'mr-3 rounded-circle') );
				} ?>
			<div class="media-body l-h-0">
				<?php if ( 1 != get_theme_mod( 'hide_posted_by' ) ) { ?>
				<h6 class="mb-0">
					<?php blogbaster_posted_by();//echo get_the_author_meta( 'display_name' ); ?>
				</h6>
				<?php } ?>
				<?php if ( 1 != get_theme_mod( 'hide_posted_on' ) ) { ?>
					<span class="fs--1 color-5"><?php blogbaster_posted_on(); ?></span>
				<?php } ?>
			</div>
			<div>
				<?php
					if ( '' != get_theme_mod( 'more_link' ) ) {
						echo sprintf( '<a class="btn btn-secondary" href="%s">', esc_url( get_permalink() ) ), esc_html( get_theme_mod( 'more_link' ) ) .'</a>';
					}
					?>
			</div>
		</div>
	</div>
<?php } ?>
	
</article><!-- #post-<?php the_ID(); ?> -->